Skip to main content
PATCH
/
consumers
/
{id}
Update an existing Consumer
curl --request PATCH \
  --url https://commerce.driv.ly/api/consumers/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "addresses": [
    "<string>"
  ],
  "phoneNumbers": [
    "<string>"
  ],
  "birthDate": "2023-12-25",
  "email": "<string>",
  "phoneNumber": "<string>",
  "ssn": "<string>",
  "lastName": "<string>",
  "firstName": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "birthDate": "2023-12-25",
    "phoneNumber": "<string>",
    "lastName": "<string>",
    "firstName": "<string>",
    "addresses": [
      "<string>"
    ],
    "phoneNumbers": [
      "<string>"
    ],
    "email": "<string>",
    "ssn": "<string>"
  },
  "success": true
}

Path Parameters

id
string
required

Customer is uniquely identified by id

Query Parameters

depth
integer

The number of levels of related objects to include in the response

Body

application/json
id
string

Customer is uniquely identified by id

addresses
(string | Address · object)[]

Customer is located at Addresses

phoneNumbers
string[]

Customer has Phone Number

Pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
birthDate
string<date>

Consumer has Birth Date

email
string<idn-email>

Consumer has Email

phoneNumber
string

Consumer has Phone Number

Pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
ssn
string

Consumer has SSN

lastName
string

Consumer has Last Name

firstName
string

Consumer has First Name

Response

Consumer Updated

data
Consumer · object
Example:
{
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"lastName": "Doe",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199"
}
success
boolean